package timer;

import debug.*;

/*****************************************************************
   This exception is thrown by the <tt>Timer</tt> and 
   <tt>TimerClient</tt> waiting functions if the current thread
   is not blocking simulated time.

   @see Timer
   @see TimerClient
 *****************************************************************/
public class IllegalTimerStateException extends RuntimeException
{
   /************************************************************
      Create a new exception.  Clients may not call this.
    ************************************************************/
   IllegalTimerStateException ()
   {
   }
}

