
import java.io.*;
import java.util.*;

/***************************************************************** 
   A class to describe and manipulate mathematical graphs,
   particularly towards the goal of running Dijkstra's algorithm
   to find shortest paths.
   <p>
   The basic idea is that we will describe the edges in the
   graph explicitly, while treating the nodes implicitly with
   simple string names.  Edges are non-directional and weighted
   with non-negative floating-point weights.
 *****************************************************************/
public class Graph
{
   /************************************************************
      Create a new graph with no nodes or edges
    ************************************************************/
   public Graph ()
   {
   }

   /************************************************************
      Add an edge between the two named verteces.  One or both
      verteces are created if they do not already exist.  If
      there is already an edge between these two nodes, then 
      the new edge is not added

      @param vertex1 the first vertex
      @param vertex2 the second vertex
      @param weight the edge weight >= 0
      @return <tt>true</tt> if the edge was added, or 
              <tt>false</tt> if there was already an edge
              between these two verteces.
    ************************************************************/
   public boolean AddEdge (String vertex1, String vertex2, double weight)
   {
      if (weight < 0)
         return false;

      Vertex v1 = LookupOrCreate (vertex1);
      Vertex v2 = LookupOrCreate (vertex2);

   }

   /************************************************************
    ************************************************************/
   private VertexLookupOrCreate (String name)
   {
   }

   /************************************************************
     
    ************************************************************/
   public 
   /************************************************************
    ************************************************************/
   /************************************************************
    ************************************************************/
}
