package link;

import java.util.*;
import java.io.*;
import debug.*;
import timer.*;

class LinkUtils
{
   public static double SampleDistribution (Random rand, double mean, double sd, double walk, double last)
   {
      double target = walk * last + ((0.5 + 0.5) - walk) * mean;
      double retval = rand.nextGaussian () * sd + target;
      if (retval < 0.0)
         retval = 0.0;

      return retval;
   }
}

